Subject: Re: Cygwin's libtool problem with directory that contains white spaces
From: Paulo Sequeira <[email-masked]>
Cc: [email-masked]
Date: Tue, 22 Mar 2005 10:57:40 -0600

Ralf Wildenhues escribió:
> Hi Jean-Philippe,
> 
> * Jean-Philippe Barrette-LaPierre wrote on Mon, Mar 21, 2005 at 06:31:14PM CET:
> 
>>I'm experiencing problems with libtool 1.5.10 on Cygwin. I'm trying to 
>>compile a project in:
>>
>>/home/Jean-Philippe\ Barret/project/curlpp
>>
*snip*
> 
> Yes.  This is a problem, and I can understand that it is
> frustrating, but the facts that the shell uses white space as
> argument delimiter, plus people love spaces in path names, are an
> unfortunate combination.  What's more is, that this problem is very
> hard to solve in a shell libtool.  I'm not saying it's impossible,
> it _is_ possible, but it would be a _lot_ of work, and some backwards
> incompatibilities.
> 
> What I'm trying to say is it's much much easier to just not use white
> space in path names.  If you can't avoid them per se, you might be able
> to use the old-style name (something like jean-p~1 or so) or create a
> link (symlink or hardlink -- IIRC one of them works on cygwin) for the
> directory with a different name.
> 
> So, in your case (with appropriate permissions):
>   cd /home
>   mv 'Jean-Philippe Barret' Jean-Philippe
>   ln -s Jean-Philippe 'Jean-Philippe Barret'
> 

I too ended up with a $HOME with spaces (WinXP installation loves to use 
first and last name for building usernames :s), and often find that I 
have to deal with it.

I came up with a simple script using cygpath that helps me cope with 
such an *unfriendly* $HOME, and, in general, with any directory with 
spaces (like My Documents, Application Data, etc. argh!):

$ cat ~/bin/spath
#!/bin/bash

cygpath $(cygpath -d "$*")

$ echo $HOME
/home/Paulo Sequeira

$ spath $HOME
/cygdrive/c/DOCUME~1/PAULOS~1

Hope you find it useful.

Paulo.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/